description = "OpenCloudCal : Application"

plugins {
    application
}

dependencies {
    implementation(project(":de.srsoftware.cal.api"))
    implementation(project(":de.srsoftware.cal.base"))
    implementation(project(":de.srsoftware.cal.db"))
    implementation(project(":de.srsoftware.cal.importer"))
    implementation(project(":de.srsoftware.cal.web"))

    implementation("de.srsoftware:configuration.api:1.0.0")
    implementation("de.srsoftware:configuration.json:1.0.1")

    implementation("de.srsoftware:tools.http:1.2.4")
    implementation("de.srsoftware:tools.logging:1.2.0")
    implementation("de.srsoftware:tools.plugin:1.0.2")
    implementation("de.srsoftware:tools.util:1.3.0")
    implementation("de.srsoftware:tools.web:1.3.14")
    implementation("com.mysql:mysql-connector-j:9.1.0")
    implementation("org.json:json:20240303")
}

application{
    mainClass = "de.srsoftware.cal.app.Application"
}
